CREATE TABLE "apachelog" (
	"clientaddress" character varying(255),
	"rfc1413" character varying(32),
	"username" character varying(32),
	"localtime" timestamp with time zone,
	"httprequest" character varying(255),
	"statuscode" integer,
	"bytessenttoclient" integer,
	"referer" character varying(255),
	"clientsoftware" character varying(255),
	"timespent" integer,
	"canonname" character varying(255)
);

REVOKE ALL on "apachelog" from PUBLIC;
GRANT ALL on "apachelog" to "postgres";
GRANT ALL on "apachelog" to "root";

CREATE INDEX ix_apachelog_localtime ON apachelog USING btree (localtime);
CREATE INDEX ix_apachelog_clientaddress ON apachelog USING btree (clientaddress);
CREATE INDEX ix_apachelog_username ON apachelog USING btree (username);
CREATE INDEX ix_apachelog_canonname ON apachelog USING btree (canonname);
